//========================================================================
//
// CoreOutputDev.cc
//
// Copyright 2004 Glyph & Cog, LLC
// Copyright 2026 Adam Sampson <ats@offog.org>
//
//========================================================================

#include <stddef.h>

#include <SplashOutputDev.h>
#include <splash/SplashTypes.h>

#include "CoreOutputDev.h"

//------------------------------------------------------------------------
// CoreOutputDev
//------------------------------------------------------------------------

CoreOutputDev::CoreOutputDev(SplashColorMode colorModeA, int bitmapRowPadA,
			     SplashColorPtr paperColorA):
  SplashOutputDev(colorModeA, bitmapRowPadA,
#ifndef SPLASHOUTPUTDEV_NO_REVERSEVIDEO
		  false,
#endif
		  paperColorA)
{
}

CoreOutputDev::~CoreOutputDev() {
}

void CoreOutputDev::clear() {
  startDoc(NULL);
#ifdef STARTPAGE_XREF
  startPage(0, NULL, NULL);
#else
  startPage(0, NULL);
#endif
}
